############################################################################
# BEGIN: PATTERN LIST / BOUNCE RULES
############################################################################

<smtp-pattern-list backoff>
# AOL Errors
    reply /system not accepting network messages/ mode=backoff ### teste - Sáb Jul 29 14:01:39 -03 2017 , disable-source-ip, reenable-after=4h
    reply /RLY:B1/ mode=backoff ### teste - Sáb Jul 29 14:01:39 -03 2017 , disable-source-ip, reenable-after=12h
    reply /RLY:B2/ mode=backoff ### teste - Sáb Jul 29 14:01:39 -03 2017 , disable-source-ip, reenable-after=12h
    reply /RLY:B3/ mode=backoff ### teste - Sáb Jul 29 14:01:39 -03 2017 , disable-source-ip, reenable-after=12h
    reply /RLY:BL/ mode=backoff ### teste - Sáb Jul 29 14:01:39 -03 2017 , disable-source-ip, reenable-after=12h
    reply /RLY:IR/ mode=backoff ### teste - Sáb Jul 29 14:01:39 -03 2017 , disable-source-ip, reenable-after=12h  #high percentage of invalid recipient attempts due to lack of rDND.
    reply /RLY:CS4/ mode=backoff ### teste - Sáb Jul 29 14:01:39 -03 2017 , disable-source-ip, reenable-after=12h #server or web site that may have a compromised script or program installed.
    reply /RLY:CH2/ mode=backoff ### teste - Sáb Jul 29 14:01:39 -03 2017 , disable-source-ip, reenable-after=12h #generated complaints and mail system compromised of virus or security issue.
    reply /421 RLY:CH/ mode=backoff ### teste - Sáb Jul 29 14:01:39 -03 2017 , disable-source-ip, reenable-after=12h #network compromised & sending mail that matches the signature of known spam.
    reply /554 RLY:CH/ mode=backoff ### teste - Sáb Jul 29 14:01:39 -03 2017 , disable-source-ip, reenable-after=12h #network compromised & sending mail that matches the signature of known spam
    reply /RLY:BD/ bounce-rcpt
    reply /RLY:BL/ mode=backoff ### teste - Sáb Jul 29 14:01:39 -03 2017 , disable-source-ip, reenable-after=12h
    reply /RLY:NW/ mode=backoff ### teste - Sáb Jul 29 14:01:39 -03 2017 , disable-source-ip, reenable-after=12h
    reply /554 RLY:SN/ bounce-rcpt
    reply /421 RLY:SN/ bounce-rcpt
    reply /DYN:T1/ mode=backoff ### teste - Sáb Jul 29 14:01:39 -03 2017 , disable-source-ip, reenable-after=12h
    reply /DYN:T2/ mode=backoff ### teste - Sáb Jul 29 14:01:39 -03 2017 , disable-source-ip, reenable-after=12h
    reply /CON:B1/ mode=backoff ### teste - Sáb Jul 29 14:01:39 -03 2017 , disable-source-ip, reenable-after=12h
    reply /CON:B2/ mode=backoff ### teste - Sáb Jul 29 14:01:39 -03 2017 , disable-source-ip, reenable-after=12h
    reply /RTR:SC/ mode=backoff ### teste - Sáb Jul 29 14:01:39 -03 2017 , disable-source-ip, reenable-after=12h # block due to successive dynamic blocks issued against your IP address
    reply /RTR:DU/ mode=backoff ### teste - Sáb Jul 29 14:01:39 -03 2017 , disable-source-ip, reenable-after=12h # Indicate spamhuas PBL listing.
    reply /RTR:BL/ mode=backoff ### teste - Sáb Jul 29 14:01:39 -03 2017 , disable-source-ip, reenable-after=12h #permanent block has been placed against IP due to poor IP reputation.
    reply /RTR:RD/ mode=backoff ### teste - Sáb Jul 29 14:01:39 -03 2017 , disable-source-ip, reenable-after=12h # Genrating Complaints due to lack of rDNS. 
    reply /RTR:CH/ mode=backoff ### teste - Sáb Jul 29 14:01:39 -03 2017 , disable-source-ip, reenable-after=12h #network compromised and is sending mail that matches the signature of known spam.
    reply /RTR:GE/ mode=backoff ### teste - Sáb Jul 29 14:01:39 -03 2017 , disable-source-ip, reenable-after=12h # indicating a technical issue on AOL side.
    reply /HVU:B1/ mode=backoff ### teste - Sáb Jul 29 14:01:39 -03 2017 , disable-source-ip, reenable-after=12h #554 generating substantial complaints from AOL members
    reply /HVU:B2/ mode=backoff ### teste - Sáb Jul 29 14:01:39 -03 2017 , disable-source-ip, reenable-after=12h #421 generating substantial complaints from AOL members
    reply /DNS:B1/ mode=backoff ### teste - Sáb Jul 29 14:01:39 -03 2017 , disable-source-ip, reenable-after=12h
    reply /DNS:B2/ mode=backoff ### teste - Sáb Jul 29 14:01:39 -03 2017 , disable-source-ip, reenable-after=12h
    reply /DNS:NR/ mode=backoff ### teste - Sáb Jul 29 14:01:39 -03 2017 , disable-source-ip, reenable-after=12h  
# GMAIL Errors
    reply /spam-related/ mode=backoff ,disable-source-ip,reenable-after=96h
    reply /Our system has detected that this message is likely unsolicited mail/ mode=backoff ,disable-source-ip,reenable-after=96h
    reply /Our system has detected an unusual (amount|rate) of unsolicited mail originating from your IP address/ mode=backoff # google limit
# Verificar acima
    reply /spam-related/ mode=backoff ### teste - Sáb Jul 29 14:01:39 -03 2017 , disable-source-ip, reenable-after=12h
    reply /Our system has detected that this message is likely unsolicited mail/ mode=backoff ### teste - Sáb Jul 29 14:01:39 -03 2017 , disable-source-ip, reenable-after=12h
# Yahoo Errors
    reply /421 .* Please try again later/ mode=backoff
    reply /421 Message temporarily deferred/ mode=backoff
    reply /421 4.7.0 [TS01] .*/ mode=backoff
    reply /Messages from \d+\.\d+\.\d+\.\d+ temporarily deferred/ mode=backoff # yahoo limit
# Verificar acima
    reply /421 4.7.0 [TS01]/ mode=backoff
    reply /temporarily deferred/ bounce-rcpt
    reply /VS3-IP5 Excessive unknown recipients/ mode=backoff
    reply /VSS-IP Excessive unknown recipients/ mode=backoff
    reply /\[GL01\] Message from/ mode=backoff
    reply /\[GL01\] Message from/ mode=backoff
    reply /\[TS01\] Messages from/ mode=backoff ### teste - Sáb Jul 29 14:01:39 -03 2017 , disable-source-ip, reenable-after=4h
    reply /\[TS02\] Messages from/ mode=backoff ### teste - Sáb Jul 29 14:01:39 -03 2017 , disable-source-ip, reenable-after=12h
    reply /\[TS03\] All messages from/ mode=backoff ### teste - Sáb Jul 29 14:01:39 -03 2017 , disable-source-ip, reenable-after=4h
# CLOUDMARK ERRORS
   reply /\[C12\] RBL Restriction/ mode=backoff ,disable-source-ip,reenable-after=48h
   reply /\[P4\] Message blocked due to spam content in the message/ mode=backoff # ,disable-source-ip,reenable-after=48h
   reply /\[C17\] RBL Restriction/ mode=backoff ,disable-source-ip,reenable-after=48h
# Verificar acima
    reply /\[C12\] RBL Restriction/ mode=backoff ### teste - Sáb Jul 29 14:01:39 -03 2017 , disable-source-ip, reenable-after=12h
    reply /\[P4\] Message blocked due to spam content in the message/ mode=backoff # ### teste - Sáb Jul 29 14:01:39 -03 2017 , disable-source-ip, reenable-after=12h
    reply /\[C17\] RBL Restriction/ mode=backoff ### teste - Sáb Jul 29 14:01:39 -03 2017 , disable-source-ip, reenable-after=12h
    reply /Connections not accepted from IP addresses on Spamhaus/ disable-source-ip, reenable-after=96h
# SPFBL ERROR
    reply /spfbl.net/ mode=backoff #### teste - Sáb Jul 29 14:01:39 -03 2017 , disable-source-ip, reenable-after=4h
# Hotmail Errors
    reply /exceeded the rate limit/ mode=backoff
    reply /We have limits/ mode=backoff
    reply /421 RP-001/ mode=backoff
    reply /550 SC-001/ mode=backoff
    reply /Mail rejected by Windows Live Hotmail for policy reasons/ mode=backoff
    reply /mail.live.com\/mail\/troubleshooting.aspx/ mode=backoff
    reply /\[SC-001\]/ mode=backoff ,disable-source-ip,reenable-after=96
    reply /The mail server [\d+\.\d+\.\d+\.\d+] has been temporarily rate limited due to IP reputation/ mode=backoff # hotmail limit
# Verificar acima
    reply /RP-001/ mode=backoff #### teste - Sáb Jul 29 14:01:39 -03 2017 , disable-source-ip, reenable-after=4h
    reply /\[RP-001\]/ mode=backoff #### teste - Sáb Jul 29 14:01:39 -03 2017 , disable-source-ip, reenable-after=4h
    reply /exceeded the rate limit/ mode=backoff
    reply /exceeded the connection limit/ mode=backoff
    reply /Mail rejected by Windows Live Hotmail for policy reasons/ mode=backoff
    reply /mail.live.com\/mail\/troubleshooting.aspx/ mode=backoff
    reply /\[SC-001\]/ mode=backoff ### teste - Sáb Jul 29 14:01:39 -03 2017 , disable-source-ip, reenable-after=12h
    reply /421 RP-001/ mode=backoff ### teste - Sáb Jul 29 14:01:39 -03 2017 , disable-source-ip, reenable-after=12h
    reply /550 SC-001/ mode=backoff ### teste - Sáb Jul 29 14:01:39 -03 2017 , disable-source-ip, reenable-after=12h
# Adelphia Errors
    #reply /421 Message Rejected/ mode=backoff
    #reply /Client host rejected/ mode=backoff
    reply /blocked using UCEProtect/ mode=backoff
# Road Runner Errors
    reply /Mail Refused/ mode=backoff
    reply /421 Exceeded allowable connection time/ mode=backoff
    reply /amIBlockedByRR/ mode=backoff
    reply /block-lookup/ mode=backoff
    reply /Too many concurrent connections from source IP/ mode=backoff
# Custom
    reply /listed by bl.spamcop.net Blocked/ mode=backoff ### teste - Sáb Jul 29 14:01:39 -03 2017 , disable-source-ip, reenable-after=4h
    reply /unusual rate of unsolicited mail originating from/ mode=backoff ### teste - Sáb Jul 29 14:01:39 -03 2017 , disable-source-ip, reenable-after=4h
    reply /system not accepting network messages/ mode=backoff ### teste - Sáb Jul 29 14:01:39 -03 2017 , disable-source-ip, reenable-after=4h
    reply /csi.cloudmark.com/ mode=backoff ### teste - Sáb Jul 29 14:01:39 -03 2017 , disable-source-ip, reenable-after=4h
    reply /because the ip is in Spamhaus/ disable-source-ip, reenable-after=96h
# Added by Rahul Netawat
    reply /currently blocked by Verizon Onlines anti-spam system/ mode=backoff ### teste - Sáb Jul 29 14:01:39 -03 2017 , disable-source-ip, reenable-after=4h    #Verizon Errors
    reply /deferred,repeatedly. Send again or check at/ mode=backoff ### teste - Sáb Jul 29 14:01:39 -03 2017 , disable-source-ip, reenable-after=4h           #Comm Touch Errors
    reply /host spamlite.knology.net/ mode=backoff ### teste - Sáb Jul 29 14:01:39 -03 2017 , disable-source-ip, reenable-after=4h                 #Knology Errors
    reply /421 .* dnsbls(sip) -- Your IP is listed on DNSBLs/ bounce-queue                          #MV Errors
    reply /junkemailfilter blacklist/ mode=backoff ### teste - Sáb Jul 29 14:01:39 -03 2017 , disable-source-ip, reenable-after=4h                 #Junkmail Filter
# Barracuda
    reply /barracudacentral/ mode=backoff ### teste - Sáb Jul 29 14:01:39 -03 2017 , disable-source-ip, reenable-after=4h    
    reply /Barracuda .* rejected/ mode=backoff ### teste - Sáb Jul 29 14:01:39 -03 2017 , disable-source-ip, reenable-after=4h                 
    reply /Your IP will be reported to the UCEPROTECT-Network - better watch out next time/ bounce-queue        #UCEProtect
    reply /POL-P8/ bounce-queue ##The message does not comply with Facebooks abuse policies and will not be accepted.
    reply /IP FOUND IN DNSRBL/ bounce-queue ##Btinternet.com Reject the mail.
    reply /too many/ mode=backoff
    reply /Exceeded allowable connection time/ mode=backoff
    reply /Connection rate limit exceeded/ mode=backoff
    reply /refused your connection/ mode=backoff
    reply /try again later/ mode=backoff
    reply /try later/ mode=backoff
    reply /550 RBL/ mode=backoff
    reply /TDC internal RBL/ mode=backoff
    reply /connection refused/ mode=backoff
    reply /please see www.spamhaus.org/ disable-source-ip, reenable-after=96h
    reply /Message Rejected/ mode=backoff
    reply /refused by antispam/ mode=backoff
    reply /Service not available/ mode=backoff
    reply /currently blocked/ mode=backoff
    reply /locally blacklisted/ mode=backoff
    reply /not currently accepting mail from your ip/ mode=backoff
    reply /421.*closing connection/ mode=backoff
    reply /421.*Lost connection/ mode=backoff
    reply /476 connections from your host are denied/ mode=backoff
    reply /421 Connection cannot be established/ mode=backoff
    reply /421 temporary envelope failure/ mode=backoff
    reply /421 4.4.2 Timeout while waiting for command/ mode=backoff
    reply /450 Requested action aborted/ mode=backoff
    reply /550 Access denied/ mode=backoff
    reply /exceeded the rate limit/ mode=backoff  # hotmail rate limit
    reply /421rlynw/ mode=backoff  # aol rate limit
    reply /permanently deferred/ mode=backoff  # yahoo
    reply /\d+\.\d+\.\d+\.\d+ blocked/ mode=backoff  # at&t, cox
    reply /generating high volumes of.* complaints from AOL/    mode=backoff
    reply /Excessive unknown recipients - possible Open Relay/  mode=backoff
    reply /^421 .* too many errors/                 mode=backoff
    reply /451 Rejected/                    mode=backoff
    reply /45\d 4\.2\.2/ bounce-rcpt
    reply /45\d .*(over quota|mailbox quota|mailbox full)/ bounce-rcpt
</smtp-pattern-list>

############################################################################
# END:  PATTERN LIST / BOUNCE RULES
############################################################################
